Results 1 to 2 of 2

Thread: Can't use version 2018.03 in my RPI3

  1. #1
    Join Date
    2018-Sep
    Posts
    1

    Question Can't use version 2018.03 in my RPI3

    I had success using the older version 2018.02 , but after updating it to 2018.03 im having some issue with the raspi3-firmware ... I tried reinstalling 3 times and downloading it again, it looks like everytime the firmware file is empty, and so dpkg shows an error everytime i try to use apt-get update, upgrade, install, etc...

  2. #2
    Join Date
    2014-Feb
    Posts
    220
    The error comes because of a change made in the 2018.3 release to use the Debian package for the firmware. Unfortunately, there was never an update during the process of adding it so I never ran into the issue before release.

    There is a workaround, to at least get rid of the error.

    You'll want to add the following to /etc/fstab:

    Code:
    tmpfs         /boot/firmware tmpfs rw 0 0
    At the bottom, and then simply run "mount /boot/firmware" (or reboot) and re-run the update.

    This allows the package to update, which is good, but does not copy the new files into place.

    Debian uses a different mounting layout than we do, and their check is for /boot/firmware to be mounted, instead of just /boot.

    Once the update succeeds, you will want to
    Code:
    cp /usr/lib/raspi3-firmware/* /boot/
    to use the new firmware.

Similar Threads

  1. VMware ESXi 6.5 Guest OS Version for Kali rolling 2018.1
    By adahug in forum Installing Kali Linux
    Replies: 2
    Last Post: 2018-04-12, 17:23
  2. Problem with downloading kali linux weekly version 2018.1
    By noammiz007 in forum Installing Archive
    Replies: 4
    Last Post: 2018-01-05, 12:31

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •